QwtPickerDragPointMachine(3)

NAME
QwtPickerDragPointMachine -

SYNOPSIS

Inherits QwtPickerMachine.

Detailed Description

A state machine for point selections. Pressing QwtEventPattern::MouseSelect1 or QwtEventPattern::KeySelect1 starts the selection, releasing QwtEventPattern::MouseSelect1 or a second press of QwtEventPattern::KeySelect1 terminates it.

Definition at line 89 of file qwt_picker_machine.h.

  Public Member Functions
virtual CommandList transition (const QwtEventPattern &, const QEvent *)

Member Function Documentation

  QwtPickerMachine::CommandList QwtPickerDragPointMachine::transition (const QwtEventPattern &, const QEvent *) [virtual]

Transition.

Implements QwtPickerMachine.

Definition at line 81 of file qwt_picker_machine.cpp.

References QwtEventPattern::keyMatch(), QwtEventPattern::mouseMatch(), QwtPickerMachine::setState(), and QwtPickerMachine::state().

Author

Generated automatically by Doxygen for Qwt User's Guide from the source code.